PETSc version 3.15.5
Fix/Edit manual page

# TaoLineSearchDestroy

Destroys the TAO context that was created with TaoLineSearchCreate()

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchDestroy(TaoLineSearch *ls)

Collective on TaoLineSearch

### Input Parameter

| ls | - the TaoLineSearch context

### See Also

: TaoLineSearchCreate(), TaoLineSearchSolve()

### Level

beginner

### Location

src/tao/linesearch/interface/taolinesearch.c

### Implementations

TaoLineSearchDestroy_Armijo in src/tao/linesearch/impls/armijo/armijo.c
TaoLineSearchDestroy_GPCG in src/tao/linesearch/impls/gpcglinesearch/gpcglinesearch.c
TaoLineSearchDestroy_MT in src/tao/linesearch/impls/morethuente/morethuente.c
TaoLineSearchDestroy_OWArmijo in src/tao/linesearch/impls/owarmijo/owarmijo.c
TaoLineSearchDestroy_Unit in src/tao/linesearch/impls/unit/unit.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages